apiVersion: v1
kind: Service
metadata:
  name: echo3
spec:
  ports:
  - port: 80
    targetPort: 5678
  selector:
    app: echo3
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: echo3
spec:
  selector:
    matchLabels:
      app: echo3
  replicas: 2
  template:
    metadata:
      labels:
        app: echo3
    spec:
      containers:
      - name: echo3
        image: hashicorp/http-echo
        args:
        - "-text=echo3"
        ports:
        - containerPort: 5678
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: echo3-ingress
  annotations:
    cert-manager.io/cluster-issuer: "letsencrypt-prod"
spec:
  tls:
  - hosts:
    - echo3.luzian.ch
    secretName: echo3-tls
  rules:
  - host: echo3.luzian.ch
    http:
      paths:
      - pathType: Prefix
        path: "/"
        backend:
          service:
            name: echo3
            port:
              number: 80
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: echo4-ingress
  annotations:
    cert-manager.io/cluster-issuer: "letsencrypt-prod"
spec:
  tls:
  - hosts:
    - echo4.luzian.ch
    secretName: echo4-tls
  rules:
  - host: echo4.luzian.ch
    http:
      paths:
      - pathType: Prefix
        path: "/"
        backend:
          service:
            name: echo3
            port:
              number: 80
